In the same way that a PropertyDef describes a Property, a RecordDef describes an Record. It is composed of PropertyDefs while the Record is composed of Propertys. In other words it describes the structure or makeup of a row or record, but does not contain the data values themselves. The corresponding Record contains the actual values.

### Hierarchy

- RecordDef

## Index

### Properties

- propertyDefs

### Accessors

- propCount
- propNames

### Methods

- propDefAtName

## Properties

### propertyDefs

propertyDefs: PropertyDef[]

- Defined in models/RecordDef.ts:10

## Accessors

### propCount

- get propCount(): number

- - Defined in models/RecordDef.ts:12

  #### Returns number

### propNames

- get propNames(): string[]

- - Defined in models/RecordDef.ts:28

  #### Returns string[]

## Methods

### propDefAtName

- propDefAtName(name: string): PropertyDef

- - Defined in models/RecordDef.ts:16

  #### Parameters

  - ##### name: string

  #### Returns PropertyDef

Generated using TypeDoc